	tinyMCE.init({
		mode : "exact",
		elements : "fastedit",
		width : "100%",
		height : "250",
		theme : "advanced",
		plugins : "save,codeprotect,safari,fullscreen,media,advimage,tableextras,table,contextmenu",
		convert_urls : false,
		theme_advanced_buttons1 : "save,|,h1-title,|,h2-sub-title,|,bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,|,bullist,numlist,|,tabledraw,convertcelltype,|,undo,redo,|,image,media,|,link,unlink,anchor,|,hr,|,fullscreen,code",
		theme_advanced_buttons2 : "",
		theme_advanced_buttons3 : "",
		theme_advanced_buttons4 : "",
		theme_advanced_toolbar_location : "top",
		save_onsavecallback : "Editor_Save",
		file_browser_callback : "tinyBrowser",

    		setup : function(ed) {	// Add custom button functions below (also need to be referenced in "theme_advanced_buttons1" above)

    		ed.addButton('h1-title', { // name of button referenced in "theme_advanced_buttons1"
            		title : 'Main title/heading', // tooltip on hover
            		image : 'fast_edit/tinymce_3_3_7/tinymce/jscripts/tiny_mce/themes/title.gif', // path to custom button image
            		onclick : function() {
            			ed.focus();
            			ed.execCommand('mceReplaceContent',false,'<h1 class="title">{$selection}</h1>') // action to perform
            				}
        			});

    		ed.addButton('h2-sub-title', { // name of button referenced in "theme_advanced_buttons1"
           		title : 'Sub-title/sub-heading', // tooltip on hover
            		image : 'fast_edit/tinymce_3_3_7/tinymce/jscripts/tiny_mce/themes/sub-title.gif', // path to custom button image
            		onclick : function() {
            			ed.focus();
            			ed.execCommand('mceReplaceContent',false,'<h2 class="sub-title">{$selection}</h2>') // action to perform
            				}
        			});

    			}

		});


function Editor_Save() {
    document.formeditor1.action = "?action=save";
    document.formeditor1.submit();
};